@extends('layouts.heading-page')

@section('title')
    News -
@endsection

@section('seo_keywords')
    {{ $dataRow->seo_keyword }}
@endsection

@section('seo_description')
    {{ $dataRow->seo_description }}
@endsection

@section('css')
    <link href="assets/css/page.css" rel="stylesheet"/>
@endsection

@section('breadcrumbs')
    Event
@endsection

@section('page-main')
        <!-- 資料內容 -->
        <div class="content-wrap news-wrap">
            <div class="container">
                <div class="mb-5">
                    <h2 class="h2-title">Event</h2>
                    <section class="news-detail">
                        <div class="news-info">
                            <h3 class="news-detail-title">{{ $dataRow->title }}</h3>
                            <ul>
                                <li><span>Date: </span>{{ date('Y-m-d', strtotime($dataRow->post_at)) }}</li>
                                <li><span>Venue: </span>{{ $dataRow->venue }}</li>
                                <li><span>Contact Us: </span>{{ $dataRow->contact }}</li>
                            </ul>
                        </div>
                        <div class="news-detail-content img-style video-iframe">
                            @php
                                $img_memo = '';
                                $img_src = '/assets/img/news-item-a01.jpg';
                                $imgs = $dataRow->photos;
                                // $imgs = array_filter($row['photos'], function($v) {
                                //        return $v['is_selected'] == true;
                                //    });
                                if (count($imgs) > 0) 
                                {
                                    foreach($imgs as $img)
                                    {
                                        //$img_memo = $img['comment'];
                                        $img_src = URL::asset('/storage/'.$img['file_path']);
                                    }
                                }
                            @endphp
                            <img src="{{ $img_src }}" alt="">
                            {!! $dataRow->body !!}
                        </div>
                    </section>

                    <div class="btn-back"><a href="javascript:history.back();"><i class="fa fa-reply"></i> Return to list page</a></div>
                </div>
            </div>
        </div>
        
@endsection

@section('script')
    <script type="text/javascript">
		
	</script>
@endsection